Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.bind.annotation.support
Class HandlerMethodResolver

    java.lang.Object
      org.springframework.web.bind.annotation.support.HandlerMethodResolver

    public class HandlerMethodResolver

extends Object

Support class for resolving web annotations in a handler type. Processes `@RequestMapping`, `@InitBinder`, `@ModelAttribute` and `@SessionAttributes`.

Used by `AnnotationMethodHandlerAdapter` and `AnnotationMethodHandlerAdapter`.

Since:
  2.5.2
Author:
  Juergen Hoeller
See Also:
  `RequestMapping`, `InitBinder`, `ModelAttribute`, `SessionAttributes`

Constructor Summary
`HandlerMethodResolver(Class<?> handlerType)` Create a new HandlerMethodResolver for the specified handler type.

Method Summary
`Set<String>` | `getActualSessionAttributeNames()`
`Set<Method>` | `getHandlerMethods()`
`Set<Method>` | `getInitBinderMethods()`
`Set<Method>` | `getModelAttributeMethods()`
`RequestMapping` | `getTypeLevelMapping()`
`boolean` | `hasHandlerMethods()`
`boolean` | `hasSessionAttributes()`
`boolean` | `hasTypeLevelMapping()`
`boolean` | `isSessionAttribute(String attrName, Class attrType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerMethodResolver

    public HandlerMethodResolver(Class<?> handlerType)

  Create a new HandlerMethodResolver for the specified handler type.

  Parameters:
    `handlerType` - the handler class to introspect

Method Detail

### hasHandlerMethods

    public final boolean hasHandlerMethods()

### getHandlerMethods

    public final Set<Method> getHandlerMethods()

### getInitBinderMethods

    public final Set<Method> getInitBinderMethods()

### getModelAttributeMethods

    public final Set<Method> getModelAttributeMethods()

### hasTypeLevelMapping

    public boolean hasTypeLevelMapping()

### getTypeLevelMapping

    public RequestMapping getTypeLevelMapping()

### hasSessionAttributes

    public boolean hasSessionAttributes()

### isSessionAttribute

    public boolean isSessionAttribute(String attrName,
                                      Class attrType)

### getActualSessionAttributeNames

    public Set<String> getActualSessionAttributeNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.